<?php

/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

$retrieved = $_GET['key'];

if (($retrieved != '') && (strlen($retrieved) == 50)) {

  define('ACCESSCONST', TRUE);

  require('db-connect.php');

    // Check if any user has a token identical with the one retrieved from the link that has been clicked
    $registereduser = '0';
    $query0 = $mysqli->prepare("SELECT id, registered, token FROM panelusers WHERE registered=? AND token=?");
    $query0->bind_param("ss", $registereduser, $retrieved);
    $query0->execute();
    $fetchdata = $query0->get_result()->fetch_assoc();

    if (!$fetchdata) {
        $query0->close();
        die("Error !");
    } else {
        $ID = $fetchdata['id'];
        $query1 = $mysqli->query("UPDATE panelusers SET registered = '1', token = ''  WHERE id = '$ID'");
        header("Location: registration-success.php");
        $query1->close();
        $query0->close();
      }
}

?>
